
package keymon.lat.medicomed;

import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RemoteObject;

public class preoptimizedclv {
    public static RemoteObject myClass;
	public preoptimizedclv() {
	}
    public static PCBA staticBA = new PCBA(null, preoptimizedclv.class);

public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _mclv = RemoteObject.declareNull("b4a.example3.customlistview");
public static RemoteObject _items = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.List");
public static RemoteObject _panelscache = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.List");
public static RemoteObject _stubpanel = RemoteObject.declareNull("anywheresoftware.b4a.objects.B4XViewWrapper");
public static RemoteObject _horizontal = RemoteObject.createImmutable(false);
public static RemoteObject _assigneditems = null;
public static RemoteObject _assigneditemsasindex = RemoteObject.createImmutable(0);
public static RemoteObject _jclv = RemoteObject.declareNull("anywheresoftware.b4j.object.JavaObject");
public static RemoteObject _extraitems = RemoteObject.createImmutable(0);
public static RemoteObject _listofitemsthatshouldbeupdated = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.List");
public static RemoteObject _xui = RemoteObject.declareNull("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");
public static RemoteObject _showscrollbar = RemoteObject.createImmutable(false);
public static RemoteObject _b4xseekbar1 = RemoteObject.declareNull("keymon.lat.medicomed.b4xseekbar");
public static RemoteObject _pnloverlay = RemoteObject.declareNull("anywheresoftware.b4a.objects.B4XViewWrapper");
public static RemoteObject _lblhint = RemoteObject.declareNull("anywheresoftware.b4a.objects.B4XViewWrapper");
public static RemoteObject _lastuserchangeindex = RemoteObject.createImmutable(0);
public static RemoteObject _numberofsteps = RemoteObject.createImmutable(0);
public static RemoteObject _delaybeforehidingoverlay = RemoteObject.createImmutable(0);
public static RemoteObject _mcallback = RemoteObject.declareNull("Object");
public static RemoteObject _meventname = RemoteObject.createImmutable("");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static keymon.lat.medicomed.main _main = null;
public static keymon.lat.medicomed.starter _starter = null;
public static keymon.lat.medicomed.subs _subs = null;
public static keymon.lat.medicomed.appupdater _appupdater = null;
public static keymon.lat.medicomed.mapa_rutas _mapa_rutas = null;
public static keymon.lat.medicomed.tracker _tracker = null;
public static keymon.lat.medicomed.newinst2 _newinst2 = null;
public static keymon.lat.medicomed.b4xpages _b4xpages = null;
public static keymon.lat.medicomed.b4xcollections _b4xcollections = null;
public static keymon.lat.medicomed.httputils2service _httputils2service = null;
public static keymon.lat.medicomed.xuiviewsutils _xuiviewsutils = null;
public static Object[] GetGlobals(RemoteObject _ref) throws Exception {
		return new Object[] {"AssignedItems",_ref.getField(false, "_assigneditems"),"AssignedItemsAsIndex",_ref.getField(false, "_assigneditemsasindex"),"B4XSeekBar1",_ref.getField(false, "_b4xseekbar1"),"DateUtils",_ref.getField(false, "_dateutils"),"DelayBeforeHidingOverlay",_ref.getField(false, "_delaybeforehidingoverlay"),"ExtraItems",_ref.getField(false, "_extraitems"),"horizontal",_ref.getField(false, "_horizontal"),"items",_ref.getField(false, "_items"),"jclv",_ref.getField(false, "_jclv"),"LastUserChangeIndex",_ref.getField(false, "_lastuserchangeindex"),"lblHint",_ref.getField(false, "_lblhint"),"ListOfItemsThatShouldBeUpdated",_ref.getField(false, "_listofitemsthatshouldbeupdated"),"mCallback",_ref.getField(false, "_mcallback"),"mCLV",_ref.getField(false, "_mclv"),"mEventName",_ref.getField(false, "_meventname"),"NumberOfSteps",_ref.getField(false, "_numberofsteps"),"PanelsCache",_ref.getField(false, "_panelscache"),"pnlOverlay",_ref.getField(false, "_pnloverlay"),"ShowScrollBar",_ref.getField(false, "_showscrollbar"),"StubPanel",_ref.getField(false, "_stubpanel"),"xui",_ref.getField(false, "_xui")};
}
}